/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var representativeProducts = ko.observableArray([]),
        totalSize = ko.observable(0),
        selected = ko.observableArray([]),
        otherDetails = ko.observable(''),
        otherDetailsChecked = ko.observable(false),
        productResearchData = ko.observable(false);

    return {
        representativeProducts: representativeProducts,
        totalSize: totalSize,
        selected: selected,
        otherDetails: otherDetails,
        otherDetailsChecked: otherDetailsChecked,
        productResearchData: productResearchData
    };
});
